website(document).ready(function() {
  website('.cssfixtbody').scroll(function(e) { //detect a scroll event on the tbody
    /*
    Setting the thead left value to the negative valule of tbody.scrollLeft will make it track the movement
    of the tbody element. Setting an elements left value to that of the tbody.scrollLeft left makes it maintain             it's relative position at the left of the table.    
    */
    website('.cssfixthead').css("left", -website(".cssfixtbody").scrollLeft()); //fix the thead relative to the body scrolling
    website('.cssfixthead th:nth-child(1)').css("left", website(".cssfixtbody").scrollLeft());
    website('.cssfixthead th:nth-child(2)').css("left", website(".cssfixtbody").scrollLeft());//fix the first cell of the header
    website('.cssfixtbody td:nth-child(1)').css("left", website(".cssfixtbody").scrollLeft());
    website('.cssfixtbody td:nth-child(2)').css("left", website(".cssfixtbody").scrollLeft());//fix the first column of tdbody
  });
});



/* ------------------------- DataTable JS START ------------------------- */
website(document).ready(function()
{
    fetchAllRequestsView();
});

website('body').on('change','#noofrows', function(e) 
{
   fetchAllRequestsView();
});

website('body').on('change','#filterstatus', function(e) 
{   
    website('#pagenum').val(1);
    fetchAllRequestsView();  
});

//-------------------------GO BUTTON-------------------------

website('body').on('click','.go_button', function(e) 
{
    var rscrntpg = website('.gotobtn').val();
    website('.panel.panel-white #pagenum').val(rscrntpg);
    fetchAllRequestsView();
});
/* ------------------------- DataTable JS END ------------------------- */
website('body').on('click','.paginationmn li', function(e) 
{
    var rscrntpg = website(this).attr('p');
    website('.panel.panel-white #pagenum').val(rscrntpg);
    fetchAllRequestsView();
});

website('body').on('keyup','#srch',function()
{
    website('#pagenum').val(1);
    fetchAllRequestsView();
});

website('.bootdatepick').datetimepicker({
    weekStart: 1,
    todayBtn:  0,
    autoclose: 1,
    todayHighlight: 0,
    startView: 2,
    minView: 2,
    forceParse: 0,
    format: "dd-mm-yyyy"

}).on('change', function(e, date)
    {
        var getdate = website(this).val();
        console.log(getdate);
        var getid = website(this).closest('form').attr('id');
    });

function fetchAllRequestsView()
{
    var noofrows = website('#noofrows').val(); 
    var pagenum = website('#pagenum').val();
    var searchfield  = website('#filterstatus').val();
    var searchbyvalue = website('#srch').val();
    var formdata = {noofrows:noofrows,pagenum:pagenum,searchfield:searchfield,searchbyvalue:searchbyvalue};
    website.ajax({
        url:'llagr/fetchleavereqlist',
        data:formdata,
        method:'POST',
        //contentType:'json',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
        dataType:"json",
        cache:false,
        //async:true, Cross domain checking
        beforeSend: function()
        {   },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            if(response.logged===true)
            {     
                var addhtmlnxt='';
                for(var i = 0; i < response.data.length; i++) 
                {
                    if(response.data[i].drafted_pdf_copy) {
                      drafted_pdf = response.data[i].drafted_pdf_copy.split(",");  
                      drafted_lnl_pdf = drafted_pdf[0];
                      drafted_amenity_pdf = drafted_pdf[1]; 
                    } else {
                        drafted_lnl_pdf = '';
                        drafted_amenity_pdf = '';
                    }
                    
                    if(response.data[i].finalized_pdf_copy) {
                      finalized_pdf = response.data[i].finalized_pdf_copy.split(",");
                      finalized_lnl_pdf = finalized_pdf[0];
                      finalized_amenity_pdf = finalized_pdf[1];   
                    } else {
                      finalized_lnl_pdf = '';
                      finalized_amenity_pdf = '';
                    }

                    if(response.data[i].sharepointfile) {
                      sharept = response.data[i].sharepointfile.split(",");
                      sharept_lnl = sharept[0];
                      sharept_amenity = sharept[1];   
                    } else {
                      sharept_lnl = '';
                      sharept_amenity = '';
                    }
                    
                    if(response.data[i].date_requested) {
                        dtfrmt = response.data[i].date_requested.split("-"); 
                        dtfrmtspace = response.data[i].date_requested.split(" ");
                        ddmmyy = dtfrmtspace[0];
                        dtfrmt = dtfrmtspace[0].split("-");
                        ddmmyy = dtfrmt[1]+'/'+dtfrmt[2]+'/'+dtfrmt[0];
                        var objDate = new Date(ddmmyy);
                        ddmmyy =
                        objDate.toLocaleString("en", { day: "numeric" }) + ' ' +
                        objDate.toLocaleString("en", { month: "short"  }) + ' ' +
                        objDate.toLocaleString("en", { year: "numeric"});
                        /**/
                        times = dtfrmtspace[1];
                    } else {
                      ddmmyy = '';
                      times = '';
                    }
                    
                    var storecode = response.data[i].storecode?response.data[i].storecode:'';
                    var storename = response.data[i].storename?response.data[i].storename:'';
                    //------------------------- Table Fields Insertion START ------------------------
                    addhtmlnxt += '<tr class="counter" leavereqid="'+response.data[i].id+'" >';
                    
                    // ----- COLUMN Store Code -----
                    addhtmlnxt += '<td width="5%" class="cssfixtd">'+storecode+'</td>';
                    
                    // ----- COLUMN Store Name -----
                    addhtmlnxt += '<td width="5%" class="cssfixtd">'+storename+'</td>';

                    // ----- COLUMN Region ----- 
                    addhtmlnxt += '<td width="5%">'+response.data[i].region+'</td>';

                    // ----- COLUMN Statename ----- 
                    addhtmlnxt += '<td width="5%">'+response.data[i].statename+'</td>';
                    
                    // ----- COLUMN Requester Name ----- 
                    if(response.usergrp == 13)
                    {
                        addhtmlnxt += '<td width="5%">'+response.data[i].fullname+'</td>';
                    }

                    // ----- COLUMN Department Name ----- 
                    addhtmlnxt += '<td width="5%">'+response.data[i].deptname+'</td>';

                    // ----- COLUMN Date of Request ----- 
                    addhtmlnxt += '<td width="5%">'+ddmmyy+'  '+times+'</td>';
                    
                    // ----- COLUMN Type of agreement  ----- 
                    addhtmlnxt += '<td width="5%">'+response.data[i].agreementname+'</td>';

                    // ----- COLUMN View Start----- 
                    if(sharept_lnl && sharept_amenity && response.usergrp == 13) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        if(response.usrappcontrol.View == '1' || response.usrappcontrol.Edit == '1')
                        {
                            addhtmlnxt += '<div class="leavereq_view" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"><i class="fa fa-eye faicon" aria-hidden="true" title="View Request" alt="View Request"></i></div>';
                            
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<a  href="'+sharept_lnl+'" target="_blank" download><i class="fa fa-file-word-o faicon" aria-hidden="true"></i></a>&nbsp;&nbsp;';
                                addhtmlnxt += '<a href="'+sharept_amenity+'" target="_blank" download><i class="fa fa-file-word-o faicon" aria-hidden="true"></i></a>&nbsp;';
                                addhtmlnxt += '<i class="fa fa-code-fork faicon csslrgicn" id="docversion" aria-hidden="true" title="Doc File Version" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"></i>';
                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else if(sharept_amenity && response.usergrp == 13) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        if(response.usrappcontrol.View == '1' || response.usrappcontrol.Edit == '1')
                        {
                            addhtmlnxt += '<div class="leavereq_view" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"><i class="fa fa-eye faicon" aria-hidden="true" title="View Request" alt="View Request"></i></div>';
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<a  href="'+sharept_amenity+'" target="_blank" download><i class="fa fa-file-word-o faicon" aria-hidden="true"></i></a>&nbsp;';
                                addhtmlnxt += '<i class="fa fa-code-fork faicon csslrgicn" id="docversion" aria-hidden="true" title="Doc File Version" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"></i>';
                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else if(sharept_lnl && response.usergrp == 13) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        if(response.usrappcontrol.View == '1' || response.usrappcontrol.Edit == '1')
                        {
                            addhtmlnxt += '<div class="leavereq_view" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"><i class="fa fa-eye faicon" aria-hidden="true" title="View Request" alt="View Request"></i></div>';
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<a  href="'+sharept_lnl+'" target="_blank" download><i class="fa fa-file-word-o faicon" aria-hidden="true"></i></a>&nbsp;';
                                addhtmlnxt += '<i class="fa fa-code-fork faicon csslrgicn" id="docversion" aria-hidden="true" title="Doc File Version" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"></i>';
                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else
                    {
                        addhtmlnxt += '<td width="10%">';
                        if(response.usrappcontrol.View == '1' || response.usrappcontrol.Edit == '1')
                        {
                            addhtmlnxt += '<div class="leavereq_view" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"><i class="fa fa-eye faicon" aria-hidden="true" title="View Request" alt="View Request"></i></div>';
                        }
                        addhtmlnxt += '</td>';
                    }
                    // ----- COLUMN View End----- 

                    //--------------COLUMN DRAFT COPY -------------
                    if (drafted_lnl_pdf && drafted_amenity_pdf)  
                    {
                        addhtmlnxt += '<td width="10%">';
                        /*if(response.usrappcontrol.Edit == '1')
                        {*/
                            addhtmlnxt += '<a title="Drafted L&L Pdf" href="'+drafted_lnl_pdf+'" download><i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
                            addhtmlnxt += '<a title="Drafted Amenity Pdf" href="'+drafted_amenity_pdf+'" download> <i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>';
                        /*}*/
                        addhtmlnxt += '</td>';
                    } 
                    else if(drafted_amenity_pdf) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        /*if(response.usrappcontrol.Edit == '1')
                        {*/
                            addhtmlnxt += '<a href="'+drafted_amenity_pdf+'" download><i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>';
                        /*}*/
                        addhtmlnxt += '</td>';
                    } 
                    else if(drafted_lnl_pdf) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        /*if(response.usrappcontrol.Edit == '1')
                        {*/
                            addhtmlnxt += '<a href="'+drafted_lnl_pdf+'" download><i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>';
                        /*}*/
                        addhtmlnxt += '</td>';
                    } 
                    else 
                    {
                        addhtmlnxt += '<td width="10%"></td>';    
                    }
                    //----------------COLUMN DRAFT COPY--------------


                    //------------------- COLUMN FINAL COPY -------------
                    //console.log(response.usergrp+'_*_'+response.data[i].statusid+'_*_'+response.deptname); return false;
                    if (finalized_lnl_pdf && finalized_amenity_pdf)  
                    {
                        addhtmlnxt += '<td width="5%">';
                        
                        addhtmlnxt += '<a title="Finalized L&L Pdf" href="'+finalized_lnl_pdf+'" download><i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>&nbsp;&nbsp;';
                        addhtmlnxt += '<a title="Finalized Amenity Pdf" href="'+finalized_amenity_pdf+'" download> <i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>';
                        if(response.usrappcontrol.Edit == '1')
                        {
                            if(response.usergrp == 13 && response.data[i].statusid != 6)
                            {
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-paper-plane-o" id="closed" agreementreqid="'+response.data[i].id+'" agmid ="'+response.data[i].aggtype+'"  title="Mark as Closed"></i>';
                            } 
                            else if(response.usergrp == 7 && response.data[i].statusid == 4 && (response.deptname == "Boot Department" || response.deptname == "License Department"))
                            {
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-upload finalcopy" aria-hidden="true" agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" title="Upload Final Copy"></i>';

                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else if(finalized_amenity_pdf) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        addhtmlnxt += '<a title="Finalized Amenity Pdf" href="'+finalized_amenity_pdf+'" download><i class="fa fa-file-pdf-o faicon " aria-hidden="true"></i></a>';
                        if(response.usrappcontrol.Edit == '1')
                        {
                            if(response.usergrp == 13 && response.data[i].statusid != 6)
                            {
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-paper-plane-o faicon" id="closed" agreementreqid="'+response.data[i].id+'" agmid ="'+response.data[i].aggtype+'"  title="Mark as Closed"></i>';
                            }
                            else if(response.usergrp == 7 && response.data[i].statusid == 4 && (response.deptname == "Boot Department" || response.deptname == "License Department"))
                            {
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-upload finalcopy faicon" aria-hidden="true" agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" title="Upload Final Copy"></i>';
                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else if(finalized_lnl_pdf) 
                    {
                        addhtmlnxt += '<td width="10%">';
                        addhtmlnxt += '<a title="Finalized L&L Pdf" href="'+finalized_lnl_pdf+'" download><i class="fa fa-file-pdf-o faicon" aria-hidden="true"></i></a>';
                        if(response.usrappcontrol.Edit == '1')
                        {
                            if(response.usergrp == 13 && response.data[i].statusid != 6)
                            {
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-paper-plane-o faicon" id="closed" agreementreqid="'+response.data[i].id+'" agmid ="'+response.data[i].aggtype+'"  title="Mark as Closed"></i>';
                            } 
                            else if(response.usergrp == 7 && response.data[i].statusid == 4 && (response.deptname == "Boot Department" || response.deptname == "License Department"))
                            {
                                //alert();
                                addhtmlnxt += '&nbsp;&nbsp;<i class="fa fa-upload finalcopy faicon" aria-hidden="true" agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" title="Upload Final Copy"></i>';
                            }
                        }
                        addhtmlnxt += '</td>';
                    } 
                    else if(response.usergrp == 7 && response.data[i].statusid == 4 && (response.deptname == "Boot Department" || response.deptname == "License Department"))
                    {
                        //alert();
                        addhtmlnxt += '<td width="10%">';
                        if(response.usrappcontrol.Edit == '1')
                        {
                            addhtmlnxt += '<i class="fa fa-upload finalcopy faicon" aria-hidden="true" agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" title="Upload Final Copy"></i>';
                        }
                        addhtmlnxt += '</td>';
                     }   
                    else 
                    {
                        addhtmlnxt += '<td width="10%"></td>';   
                    }
                    
                    //--------------- COLUMN FINAL COPY -----------------

                    // ----- COLUMN save as Final for legal ----
                    if(response.usergrp == 13)
                    {
                        if (response.data[i].statusid == 1 || response.data[i].statusid == 6) 
                        {
                            addhtmlnxt += '<td width="10%"></td>';
                        } 
                        else 
                        {
                            
                            addhtmlnxt += '<td width="10%" style="text-align:center">';
                            if(response.usrappcontrol.Edit == '1' && (response.data[i].statusid == 1 || response.data[i].statusid == 2))
                            {
                                addhtmlnxt += '<i class="fa fa-paper-plane-o faicon" id="saveasfinal"  agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" aggtype="'+response.data[i].agree_short_name+'" title="Save as Final"></i>';
                            }
                            addhtmlnxt += '</td>';
                        }
                    }

                    // ----- COLUMN send to business ----- 
                    if(response.usergrp == 13)
                    {
                        if(response.data[i].statusid == 7 && !(finalized_lnl_pdf && finalized_amenity_pdf) && !(finalized_amenity_pdf) && !(finalized_lnl_pdf)) 
                        {
                            addhtmlnxt += '<td width="10%" style="text-align:center">';
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<i class="fa fa-external-link faicon" id="sendmail_to_req" agreementreqid="'+response.data[i].id+'" agmntid ="'+response.data[i].aggtype+'" aggmntrequesterid="'+response.data[i].user_id+'" title=""></i>';
                            }
                            addhtmlnxt += '</td>';  
                        } 
                        else 
                        {
                            addhtmlnxt += '<td width="10%"></td>'; 
                        }
                    }
                    
                    // ----- COLUMN Send To CS ----- 
                    if(response.usergrp == 13 && response.deptname !== "License Department") 
                    {
                        if(response.data[i].statusid != 6)
                        {
                            addhtmlnxt += '<td width="10%" style="text-align:center">';
                            if(response.usrappcontrol.Edit == '1' && response.data[i].statusid != 3)
                            {
                                addhtmlnxt += '<i class="fa fa-external-link sendtocs faicon" leavereqid="'+response.data[i].id+'" aggmntrequesterid="'+response.data[i].user_id+'" title="Send to CS"></i>';
                            }
                            addhtmlnxt += '</td>';
                        }
                        else
                        {
                            addhtmlnxt += '<td width="10%"></td>';
                        }
                    }
                    // ----- COLUMN Status Name ----- 
                    addhtmlnxt += '<td width="8%">'+response.data[i].statusname+'</td>';

                    //------------ COLUMN ADD LICENSE -------------------//
                    if(response.usergrp == 7 && response.deptname == "License Department")
                    {
                        if(response.data[i].statusid == 6) 
                        {
                            addhtmlnxt += '<td width="10%" style="text-align:center">';
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<form id="sendreqdata" action="llagr/license" method="post" enctype="multipart/form-data"><input type="hidden" name="agrmnt_req_id" value="'+response.data[i].id+'"><input type="hidden" name="agrmnt_id" value="'+response.data[i].aggtype+'"><button type="Submit" class=""><i class="fa fa-external-link faicon" id="add_license" aggmntrequestid="" title="Add license"></button></i></form>';
                            }
                            addhtmlnxt += '</td>';
                        } 
                        else 
                        {
                            addhtmlnxt += '<td width="10%"></td>';
                        }
                    }
                    //-----------------COLUMN ADD LICENSE----------------------------//
                    
                    // ----- COLUMN Contract Type -----
                    if(response.usergrp == 13 && (response.data[i].contractstatus == "revive" || response.data[i].contractstatus == "discontinue"))
                    {
                        if(response.data[i].statusid == 6)
                        {
                           addhtmlnxt += '<td width="10%" style="text-align:center"><i class="fa fa-cog fillmis faicon" leavereqid="'+response.data[i].id+'" agmid ="'+response.data[i].aggtype+'" title="MIS"></i></td>'; //MIS  
                        }
                        else
                        {
                           addhtmlnxt += '<td></td>';
                        }
                        
                        addhtmlnxt += '<td width="10%">'+response.data[i].contracttype+'</td>';//Contract type
                    }  
                    else if(response.usergrp == 7){
                        addhtmlnxt += '<td width="10%">'+response.data[i].contracttype+'</td>';//Contract type
                    }
                    else if(response.usergrp == 2) {
                        addhtmlnxt += '';
                    }
                    else 
                    {
                        addhtmlnxt += '<td></td><td></td>';
                    }                           
                    
                     // ----- COLUMN action -----
                    addhtmlnxt += '<td width="10%">';
                    
                    if(response.usergrp == 7)
                    {
                        if(response.data[i].send_status != 1)
                        {
                            if(response.usrappcontrol.Edit == '1')
                            {
                                addhtmlnxt += '<i class="fa fa-send-o faicon sendreqfraprv" title="Send Request To Legal" leavereqid="'+response.data[i].id+'" ></i></i>';
                            }
                            if(response.usrappcontrol.Delete == '1')
                            {
                                addhtmlnxt += '<i class="fa fa-trash-o faicon leaverqdelete" style="font-size:20px;" title="Delete entry" leavereqid="'+response.data[i].id+'" ></i>';
                            }
                        }
                        else 
                        {
                            if(response.usrappcontrol.Edit == '1' && response.data[i].statusid == 6)
                            {
                                addhtmlnxt += '<i class="fa fa-recycle renew faicon" style="font-size:20px;" title="Click to renew the agreement" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"></i>';
                            }
                        }
                    } 
                    else 
                    {
                        if(response.usrappcontrol.Edit == '1')
                        {
                            if(response.data[i].statusid != 6)
                            {
                                if(response.data[i].contractstatus == "revive")
                                {
                                    addhtmlnxt += '<i class="fa fa-times-circle-o discontnue faicon" style="font-size:20px;" title="Click to discontinue the agreement" leavereqid="'+response.data[i].id+'"></i>';
                                }
                                else 
                                {
                                    addhtmlnxt += '<i class="fa fa-check-circle-o revive faicon" style="font-size:20px;" title="Click to revive the agreement" leavereqid="'+response.data[i].id+'"></i>';
                                }
                            }
                            else
                            {
                                addhtmlnxt += '&nbsp;<i class="fa fa-recycle renew faicon" style="font-size:20px;" title="Click to renew the agreement" agmid ="'+response.data[i].aggtype+'" leavereqid="'+response.data[i].id+'"></i>';
                            }
                            
                        }
                    }
                    //response.usergrp == 13
                    if(response.usergrp != 7 && response.usrappcontrol.Delete == '1')
                    {
                        addhtmlnxt += '<i class="fa fa-trash-o faicon leavereqdelete" style="font-size:20px;" title="Delete entry" leavereqid="'+response.data[i].id+'" ></i>';
                    }
                    addhtmlnxt += '</td>';
                    
                    addhtmlnxt += '</tr>';                        
                    //------------------------ Table Fields Insertion END ------------------------
                }
                website('#reqvlist').html(addhtmlnxt);
                website('.paginationmn').html(response.pgnhtml);
            }
            else
            {
                if(response.usergrp == 7){
                    website('#reqvlist').html('<tr><td colspan="12" style="text-align:center;">No Data Found!!!</td></tr>');
                    website('.paginationmn').html(response.pgnhtml);
                } else {
                    website('#reqvlist').html('<tr><td colspan="18" style="text-align:center;">No Data Found!!!</td></tr>');
                    website('.paginationmn').html(response.pgnhtml);
                }
                
            }
        },
        complete: function(response)
        {   },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
}


/* ---------------------- leavereq_view SET session Start ---------------------- */
website('body').on('click','.leavereq_view',function(e){
    
    var agmid = website(this).attr('agmid');
    var leavereq = website(this).attr('leavereqid');
    //alert(rqid); return false;    
    var formdata = {agmid:agmid,leavereq:leavereq};   
    
    website.ajax({
            url:'llagr/leavereqviewSETsession',
            data:formdata,
            method:'POST',
            contentType:'application/x-www-form-urlencoded; charset=UTF-8',
            dataType:"json",
            cache:false,
            beforeSend: function()
            { website('.progress-indeterminate').fadeIn();  },
            uploadProgress: function(event, position, total, percentComplete)
            {   },
            success: function(response, textStatus, jqXHR)
            {
                if(response.logged===true)
                {
                    setTimeout(function(){
                        var baseHref = getbaseurl(); 
                        window.location.href=baseHref+'llagr/llagr_stepone';
                    }, 1000);               
                }
                else
                {
                    new PNotify({title: 'Alert',
                          text: response.message,
                          type: 'university',
                          hide: true,
                          styling: 'bootstrap3',
                          addclass: 'bg-primary alert-styled-left',
                      });
                }
            },
            complete: function(response)
            {  website('.progress-indeterminate').fadeOut(); },
            error: function(jqXHR, textStatus, errorThrown)
            {  new PNotify({title: 'Alert',
                          text: 'Something went wrong ! Please Contact to website admin',
                          type: 'university',
                          hide: true,
                          styling: 'bootstrap3',
                          addclass: 'bg-primary alert-styled-left',
                      }); }
        });
});
/* ---------------------- req_view SET session End ---------------------- */

/*---------- Delete of leave Request and Send rqst for Approval  Start  -----------*/
website('body').on('click','.sendreqfraprv',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  //console.log(mlistid); return false;
  
  website('#myModalsendapprv').modal('show');
  website('.yessend').attr('leavereqid',leavereqid);
});

website('body').on('click','.yessend',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');

  var formdata = {leavereqid:leavereqid};
  website.ajax({
    url:'llagr/sendleaverqstfraprvl',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    { website('.preloder_wraper').fadeIn(); },
    uploadProgress: function(event, position, total, percentComplete)
    { website('.preloder_wraper').fadeIn(); },
    success: function(response, textStatus, jqXHR)
    {
        if(response.logged===true)
        {    
           
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
            setTimeout(function() { window.location.reload(); }, 1000);
        }
        else
        {
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
        }
    },
    complete: function(response)
    { website('.preloder_wraper').fadeOut(); },
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});

website('body').on('click','.leaverqdelete',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  //console.log(mlistid); return false;
  
  website('#myModalyesno').modal('show');
  website('.yesconfirm').attr('leavereqid',leavereqid);
});

website('body').on('click','.yesconfirm',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  //alert(leavereqid);
  //console.log(litiid); return false;

  var formdata = {leavereqid:leavereqid};
  website.ajax({
    url:'llagr/deleteleaverqst',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    {},
    uploadProgress: function(event, position, total, percentComplete)
    {},
    success: function(response, textStatus, jqXHR)
    {
      if(response.logged===true)
      {    
        
        //website('#myModalyesno').fadeOut();
        new PNotify({title: 'Alert',
          text: 'Record Deleted Successfully',
          type: 'university',
          hide: true,
          styling: 'bootstrap3',
          addclass: 'dark ',
        });

        setTimeout(function(){ window.location.reload(); }, 1000);
      }
    },
    complete: function(response)
    {},
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});
/*---------- Delete of leave Request and Send rqst for Approval End  -----------*/

website('body').on('click','.fillmis',function(e){
    var agmid = website(this).attr('agmid');
    var leavereq = website(this).attr('leavereqid');
    //alert(rqid); return false;    
    var formdata = {agmid:agmid,leavereq:leavereq};   
    
    website.ajax({
            url:'llagr/leavereqviewSETsession',
            data:formdata,
            method:'POST',
            contentType:'application/x-www-form-urlencoded; charset=UTF-8',
            dataType:"json",
            cache:false,
            beforeSend: function()
            { website('.progress-indeterminate').fadeIn();  },
            uploadProgress: function(event, position, total, percentComplete)
            {   },
            success: function(response, textStatus, jqXHR)
            {
                if(response.logged===true)
                {
                    setTimeout(function(){
                        var baseHref = getbaseurl(); 
                        window.location.href=baseHref+'mis/llagr_mis'; 
                    }, 1000);               
                }
                else
                {
                    new PNotify({title: 'Alert',
                          text: response.message,
                          type: 'university',
                          hide: true,
                          styling: 'bootstrap3',
                          addclass: 'bg-primary alert-styled-left',
                      });
                }
            },
            complete: function(response)
            {  website('.progress-indeterminate').fadeOut(); },
            error: function(jqXHR, textStatus, errorThrown)
            {  new PNotify({title: 'Alert',
                          text: 'Something went wrong !!',
                          type: 'university',
                          hide: true,
                          styling: 'bootstrap3',
                          addclass: 'bg-primary alert-styled-left',
                      }); }
        });
    
});


website('body').on('click','#saveasfinal',function(e)
{
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
//var aggtype  = website(this).attr('aggtype');
    if(agmntid == "34"){
    website('#selectagreement').modal('show');
    website('#selectagreement #lnlagreement').attr('agreementreqid',agreementreqid);
    website('#selectagreement #lnlagreement').attr('agmntid',1);
    website('#selectagreement #lnlagreement').attr('actiontype','saveasfinal');
    website('#selectagreement #amnagreement').attr('agreementreqid',agreementreqid);
    website('#selectagreement #amnagreement').attr('agmntid',2);
    website('#selectagreement #amnagreement').attr('actiontype','saveasfinal');
    //website('#selectagreement #lnlagreement').attr('aggtype',aggtype);
    } 
    else
    {
    website('#selectagreement').modal('hide');
    website('#mymodalfinal').modal('show');
    website('#mymodalfinal #reqagreementid').val(agreementreqid);
    website('#mymodalfinal #aggtypeid').val(agmntid);
//website('#mymodalfinal #aggtype').val(aggtype);
    website('#mymodalfinal .yesfinal').attr('agreementreqid',agreementreqid);
    website('#mymodalfinal .yesfinal').attr('agmntid',agmntid);
//website('#mymodalfinal .yesfinal').attr('aggtype',aggtype);
    }
});



website('body').on('click','#lnlagreement',function(e)
 {
    var actiontype  = website(this).attr('actiontype');
    if(actiontype == "saveasfinal")
    {
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    //var aggtype  = website(this).attr('aggtype');
    website('#selectagreement').modal('hide');
    website('#mymodalfinal').modal('show');
    website('#mymodalfinal #reqagreementid').val(agreementreqid);
    website('#mymodalfinal #aggtypeid').val(agmntid);
    //website('#mymodalfinal #aggtype').val(aggtype);
    website('#mymodalfinal .yesfinal').attr('agreementreqid',agreementreqid);
    website('#mymodalfinal .yesfinal').attr('agmntid',agmntid);
    //website('#mymodalfinal .yesfinal').attr('aggtype',aggtype);
    }
    else if(actiontype == "finalcopy")
    {
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    website('#selectagreement').modal('hide');
    website('#myModalupld').modal('show');
    website('#myModalupld #agreementreqid').val(agreementreqid);
    website('#myModalupld #agreementid').val(agmntid);  
    } 
    else if(actiontype == "sendmail_to_req")
    {  
    var aggmntrequesterid  = website(this).attr('aggmntrequesterid');
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    website('#selectagreement').modal('hide');
    sendmail_to_requester(aggmntrequesterid,agmntid,agreementreqid);
    }
 });


website('body').on('click','#amnagreement',function(e)
 {
var actiontype  = website(this).attr('actiontype');
if(actiontype == "saveasfinal")
{
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    website('#selectagreement').modal('hide');
    website('#mymodalfinal').modal('show');
    website('#mymodalfinal #reqagreementid').val(agreementreqid);
    website('#mymodalfinal #aggtypeid').val(agmntid);
    //website('#mymodalfinal #aggtype').val(aggtype);
    website('#mymodalfinal .yesfinal').attr('agreementreqid',agreementreqid);
    website('#mymodalfinal .yesfinal').attr('agmntid',agmntid);
    //website('#mymodalfinal .yesfinal').attr('aggtype',aggtype);
}
else if(actiontype == "finalcopy") 
{
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    website('#selectagreement').modal('hide');
    website('#myModalupld').modal('show');
    website('#myModalupld #agreementreqid').val(agreementreqid);
    website('#myModalupld #agreementid').val(agmntid);
} else if(actiontype == "sendmail_to_req")
{
    var aggmntrequesterid  = website(this).attr('aggmntrequesterid');
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmntid  = website(this).attr('agmntid');
    website('#selectagreement').modal('hide');
    sendmail_to_requester(aggmntrequesterid,agmntid,agreementreqid);
}
 });


website('body').on('click','#sendmail_to_req',function(e){
    var aggmntrequesterid = website(this).attr('aggmntrequesterid');
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmid  = website(this).attr('agmntid');
    if(agmid == "34")
  {
    website('#selectagreement').modal('show');
    website('#selectagreement #lnlagreement').attr('aggmntrequesterid',aggmntrequesterid);
    website('#selectagreement #lnlagreement').attr('agreementreqid',agreementreqid);
    website('#selectagreement #lnlagreement').attr('agmntid',1);
    website('#selectagreement #lnlagreement').attr('actiontype','sendmail_to_req');
    website('#selectagreement #amnagreement').attr('aggmntrequesterid',aggmntrequesterid);
    website('#selectagreement #amnagreement').attr('agreementreqid',agreementreqid);
    website('#selectagreement #amnagreement').attr('agmntid',2);
    website('#selectagreement #amnagreement').attr('actiontype','sendmail_to_req');
  }  
  else 
  {
    sendmail_to_requester(aggmntrequesterid,agmid,agreementreqid);
  }
});
    


function sendmail_to_requester(aggmntrequesterid,agmnt_id,agreementreqid)
{
        //var aggmntrequesterid = website(this).attr('aggmntrequesterid');
        var formdata = {aggmntrequesterid:aggmntrequesterid,agmnt_id:agmnt_id,agreementreqid:agreementreqid};        
         website.ajax({
            url:'llagr/sendmailtorequester',
            data:formdata,
            method:'POST',
            contentType:'application/x-www-form-urlencoded; charset=UTF-8',
            dataType:"json",
            cache:false,
            beforeSend: function()
            {   website('.preloder_wraper').fadeIn(); },
            uploadProgress: function(event, position, total, percentComplete)
            {   website('.preloder_wraper').fadeIn(); },
            success: function(response, textStatus, jqXHR)
            {
                if(response.logged===true)
                {   
                 new PNotify({title: 'Success..!!',
                        text: response.message,
                        type: 'university',
                        hide: true,
                        styling: 'bootstrap3',
                        addclass: 'dark ',
                    });

                 setTimeout(function(){ window.location.reload(); }, 1000);
                    
                  }
                else
                {

                     new PNotify({title: 'Alert..!!',
                        text: response.message,
                        type: 'university',
                        hide: true,
                        styling: 'bootstrap3',
                        addclass: 'dark ',
                    });
                   
                }
            },
            complete: function(response)
            {  website('.preloder_wraper').fadeOut();  },
            error: function(jqXHR, textStatus, errorThrown)
            {   }
        });
}


website('#saveasfinal').ajaxForm({
    dataType:"json",
    beforeSend: function() 
    {  
        website('.progress-indeterminate').fadeIn();
        website('#mymodalfinal').modal('hide');
        website('.preloder_wraper').fadeIn();
    },
    uploadProgress: function(event, position, total, percentComplete) 
    {   },
    success: function(response, textStatus, jqXHR) 
    {
        //console.log("checking response");console.log(response);

        if(response.logged === true)
        {
            new PNotify({title: 'Alert',
                text: response.message,
                type: 'university',
                hide: true,
                styling: 'bootstrap3',
                addclass: 'bg-primary alert-styled-left',
            });

            setTimeout(function(){ window.location.reload(); }, 1000);
        }
        else
        {
            if(response.msloginerror=='401')
            {
                //alert();
                website('#modelword').modal('show'); 
            } 
            else
            {
                //alert();
                new PNotify({title: 'Alert',
                    text: response.message,
                    type: 'university',
                    hide: true,
                    styling: 'bootstrap3',
                    addclass: 'bg-primary alert-styled-left',
                });
            }
        }
    },
    complete: function(response) 
    {website('.preloder_wraper').fadeOut();  },
    error: function() 
    { 
        new PNotify({title: 'Alert',
            text: 'Something went wrong !!',
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'bg-primary alert-styled-left',
        });
    }
});


website('body').on('click','#msword',function(e){
username=website('#msuser').val();
password=website('#mspass').val();
        var formdata = {"username":username,"password":password};        
         website.ajax({
            url:'contracthtml/mswordlogin',
            data:formdata,
            method:'POST',
            contentType:'application/x-www-form-urlencoded; charset=UTF-8',
            dataType:"json",
            cache:false,
            beforeSend: function()
            {   },
            uploadProgress: function(event, position, total, percentComplete)
            {   },
            success: function(response, textStatus, jqXHR)
            {
                if(response.logged===true)
                {   
                website('#modelword').modal('hide');
                
                 new PNotify({title: 'Alert..!!',
                        text: response.message,
                        type: 'university',
                        hide: true,
                        styling: 'bootstrap3',
                        addclass: 'dark ',
                    });
                    
                  }
                else
                {

                     new PNotify({title: 'Alert..!!',
                        text: response.message,
                        type: 'university',
                        hide: true,
                        styling: 'bootstrap3',
                        addclass: 'dark ',
                    });
                   
                }
            },
            complete: function(response)
            {   },
            error: function(jqXHR, textStatus, errorThrown)
            {   }
        });
});

 
 /*################# Upload Final Copy Start #########################*/

website('body').on('click','.finalcopy',function(e)
{
    var agreementreqid  = website(this).attr('agreementreqid');
    var agmid  = website(this).attr('agmntid');
if(agmid == "34")
  {
     website('#selectagreement').modal('show');
     website('#selectagreement #lnlagreement').attr('agreementreqid',agreementreqid);
     website('#selectagreement #lnlagreement').attr('agmntid',1);
     website('#selectagreement #lnlagreement').attr('actiontype','finalcopy');
     website('#selectagreement #amnagreement').attr('agreementreqid',agreementreqid);
     website('#selectagreement #amnagreement').attr('agmntid',2);
     website('#selectagreement #amnagreement').attr('actiontype','finalcopy');
  } 
  else 
  {
    website('#myModalupld #doc_no').val(""); 
    website('#myModalupld #fileToUpload').val(""); 
    website('#myModalupld #storecode').val(""); 
    website('#myModalupld #storename').val(""); 

    website('#selectagreement').modal('hide');
    website('#myModalupld').modal('show');
    website('#myModalupld #agreementreqid').val(agreementreqid); 
    website('#myModalupld #agreementid').val(agmid);
  }
});


  website('#uploadfinalcopy').ajaxForm({
        dataType:"json",
        beforeSend: function() 
        {   website('.preloder_wraper').fadeIn();   },
        uploadProgress: function(event, position, total, percentComplete) 
        { website('.preloder_wraper').fadeIn(); },
        success: function(response, textStatus, jqXHR) 
        {
           if(response.logged === true)
           {
              
              new PNotify({title: 'Alert!!!',
                  text: response.message,
                  type: 'university',
                  hide: true,
                  styling: 'bootstrap3',
                  addclass: 'dark ',
              }); 
               setTimeout(function() { window.location.reload(); }, 1000); 
           }
           else
           {    
              new PNotify({title: 'Alert!!!',
                  text: response.message,
                  type: 'university',
                  hide: true,
                  styling: 'bootstrap3',
                  addclass: 'dark ',
              });
           }
        },
        complete: function(response) 
        {
            website('.preloder_wraper').fadeOut();
        },
        error: function() 
        {   }
    });


 /*################# Upload Final Copy End #########################*/


  /*################# Mark as closed start #########################*/

 website('body').on('click','#closed',function(e)
{
    var agreementreqid  = website(this).attr('agreementreqid');
    website('#myModalclose').modal('show');
    website('#myModalclose .yesclose').attr('agreementreqid',agreementreqid);
});


website('body').on('click','.yesclose',function(e) {
        
        var agreementreqid = website(this).attr('agreementreqid');
        var formdata = {agreementreqid:agreementreqid}; 
        
        website.ajax({
                url:'llagr/markAsClosed',
                data:formdata,
                method:'POST',
                contentType:'application/x-www-form-urlencoded; charset=UTF-8',
                dataType:"json",
                cache:false,
                beforeSend: function()
                { website('.progress-indeterminate').fadeIn();  },
                uploadProgress: function(event, position, total, percentComplete)
                {   },
                success: function(response, textStatus, jqXHR)
                {
                    if(response.logged===true)
                    {
                        new PNotify({title: 'Alert',
                              text: response.message,
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                          });
                        setTimeout(function(){ window.location.reload(); }, 1000);
                    }
                    else
                    {
                        new PNotify({title: 'Alert',
                              text: response.message,
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                        });
                    }
                },
                complete: function(response)
                {  website('.progress-indeterminate').fadeOut(); },
                error: function(jqXHR, textStatus, errorThrown)
                {  new PNotify({title: 'Alert',
                              text: 'Something went wrong !!',
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                          }); }
            });
    });


 /*################# Mark as closed End #########################*/



 /*---------- Delete of leave Request and Send rqst for Approval  Start  -----------*/
website('body').on('click','.discontnue',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
 // console.log(leavereqid); return false;
  website('#myModaldiscont').modal('show');
  website('.yesdisc').attr('leavereqid',leavereqid);
});


website('body').on('click','.renew',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  var agmid  = website(this).attr('agmid');
 // console.log(leavereqid); return false;
  website('#myModalrenew').modal('show');
  website('.yesrenew').attr('leavereqid',leavereqid);
  website('.yesrenew').attr('agmid',agmid);
});

website('body').on('click','.yesdisc',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');

  var formdata = {leavereqid:leavereqid};
  website.ajax({
    url:'llagr/discontinuelnlreq',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    {},
    uploadProgress: function(event, position, total, percentComplete)
    {},
    success: function(response, textStatus, jqXHR)
    {
        if(response.logged===true)
        {    
           
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
            setTimeout(function() { window.location.reload(); }, 1000);
        }
        else
        {
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
        }
    },
    complete: function(response)
    {},
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});


website('body').on('click','.yesrenew',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  var agmid  = website(this).attr('agmid');

  var formdata = {agmid:agmid,leavereqid:leavereqid};
  website.ajax({
    url:'llagr/renewcontract',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    {website('.preloder_wraper').fadeIn();},
    uploadProgress: function(event, position, total, percentComplete)
    {},
    success: function(response, textStatus, jqXHR)
    {
        if(response.logged===true)
        {    
           
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
            setTimeout(function() { window.location.reload(); }, 1000);
        }
        else
        {
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
        }
    },
    complete: function(response)
    {website('.preloder_wraper').fadeOut();},
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});


 /*############################ Send To CS start ##############################*/

website('body').on('click','.sendtocs',function(e)
{
    var leavereqid  = website(this).attr('leavereqid');
    var aggmntrequesterid  = website(this).attr('aggmntrequesterid');
    website('#myModalsendtocs').modal('show');
    website('#myModalsendtocs .yescs').attr('leavereqid',leavereqid);
    website('#myModalsendtocs .yescs').attr('aggmntrequesterid',aggmntrequesterid);
});


website('body').on('click','.yescs',function(e) {
        
        var leavereqid = website(this).attr('leavereqid');
        var aggmntrequesterid  = website(this).attr('aggmntrequesterid');
        var formdata = {leavereqid:leavereqid,aggmntrequesterid:aggmntrequesterid}; 
        
        website.ajax({
                url:'llagr/sendToCS',
                data:formdata,
                method:'POST',
                contentType:'application/x-www-form-urlencoded; charset=UTF-8',
                dataType:"json",
                cache:false,
                beforeSend: function()
                { website('.preloder_wraper').fadeIn()  },
                uploadProgress: function(event, position, total, percentComplete)
                {   },
                success: function(response, textStatus, jqXHR)
                {
                    if(response.logged===true)
                    {
                        new PNotify({title: 'Alert',
                              text: response.message,
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                          });
                        setTimeout(function() { window.location.reload(); }, 1000);
                    }
                    else
                    {
                        new PNotify({title: 'Alert',
                              text: response.message,
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                        });
                    }
                },
                complete: function(response)
                {  website('.preloder_wraper').fadeOut() },
                error: function(jqXHR, textStatus, errorThrown)
                {  new PNotify({title: 'Alert',
                              text: 'Something went wrong !!',
                              type: 'university',
                              hide: true,
                              styling: 'bootstrap3',
                              addclass: 'bg-primary alert-styled-left',
                          }); }
            });
    });


/*############################ Send To CS End ##############################*/
website('body').on('click','.leavereqdelete',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
  //console.log(mlistid); return false;
  website('#myModalyesnodelete').modal('show');
  website('.yesconfirm').attr('leavereqid',leavereqid);
});


website('body').on('click','.yesconfirm',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
    console.log(leavereqid); return false;

  var formdata = {leavereqid:leavereqid};
  website.ajax({
    url:'llagr/deleteleaverqst',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    {},
    uploadProgress: function(event, position, total, percentComplete)
    {},
    success: function(response, textStatus, jqXHR)
    {
      if(response.logged===true)
      {    
        //getdataonload();
        
        new PNotify({title: 'Alert',
          text: 'Record Deleted Successfully',
          type: 'university',
          hide: true,
          styling: 'bootstrap3',
          addclass: 'dark ',
        });

        setTimeout(function() { window.location.reload(); }, 1000);
      }
    },
    complete: function(response)
    {},
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});

website('body').on('click','.revive',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');
 // console.log(leavereqid); return false;
  website('#myModalRevive').modal('show');
  website('.yesrevive').attr('leavereqid',leavereqid);
});


website('body').on('click','.yesrevive',function(e)
{
  var leavereqid  = website(this).attr('leavereqid');

  var formdata = {leavereqid:leavereqid};
  website.ajax({
    url:'llagr/revivelnlreq',
    data:formdata,
    method:'POST',
    //contentType:'json',
    contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
    dataType:"json",
    cache:false,
    //async:true, /*Cross domain checking*/
    beforeSend: function()
    {},
    uploadProgress: function(event, position, total, percentComplete)
    {},
    success: function(response, textStatus, jqXHR)
    {
        if(response.logged===true)
        {    
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
            setTimeout(function() { window.location.reload(); }, 1000);
        }
        else
        {
            new PNotify({title: 'Alert!!!',
            text: response.message,
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'dark ',
            });
        }
    },
    complete: function(response)
    {},
    error: function(jqXHR, textStatus, errorThrown)
    {}
  });
});

/************** for search **********/

var timer = 0;
function mySearch (){ 
    var getvalue = website('.header-search-input').val();
    doSearch(getvalue); 
}

website('.header-search-input').on('keyup', function(e){
    var getkeycode = website.trim(e.keyCode);
     if (getkeycode != '40' && getkeycode !='38' && getkeycode != '13'){
        if (timer) {
            clearTimeout(timer);
        }
        timer = setTimeout(mySearch, 400); 
     }
});


function doSearch(getvalue)
{
  var getkeyword = getvalue;
  if(website.trim(getkeyword)=="")
  {
    website('#live-search-header-wrapper ul').html('<li class="noresultfound">No Result Fould!!!!</li>');
  }
  else
  {
    var formdata = {searchvallist:getkeyword,geturl:''}
    website.ajax({
      url:'mis/storecodelists',
      //url:'template/templatedetails',   
      data:formdata,
      method:'POST',
      //contentType:'json',
      contentType:'application/x-www-form-urlencoded; charset=UTF-8',
      //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
      dataType:"json",
      cache:false,
      //async:true, /*Cross domain checking*/
      beforeSend: function() 
      {
                website('#live-search-header-wrapper').fadeIn();
                website('#live-search-header-wrapper ul').html("<li>Please wait...</li>");
                website('.mainprogressbarforall .progress').fadeIn();
                website('.filtr-container').html("");
                website('.filtr-container').removeAttr("style");
                website('.filtr-search').fadeIn();
                website('.filtr-search').val("");
      },
      uploadProgress: function(event, position, total, percentComplete) 
      {
                website('#live-search-header-wrapper').fadeIn();
                website('#live-search-header-wrapper ul').html("<li>Please wait...</li>");
                website('.mainprogressbarforall .progress').fadeIn();
                website(".mainprogressbarforall .progress .progress-bar").width(percentComplete+'%');
                
      },
      success: function(response, textStatus, jqXHR) 
      {
        var addhtml='';
        website('#live-search-header-wrapper ul').html("");  
        website('#live-search-header-wrapper').fadeIn();
                
        if (response.logged == true && response.data.length>=1) 
                {         
          //console.log(response.data);return false;
          for(var i = 0; i < response.data.length; i++) 
                    {   
            if(i==0)
            {                           
              addhtml += '<li storeid="'+response.data[i].id+'" storename="'+response.data[i].storename+'" strcde="'+response.data[i].storecode+'" class="topul storecode">'+response.data[i].storecode;
              //addhtml += '<a target="_blank" href="profile/willline/'+response.data[i].cid+'" class="floatleft searchavtarname">'+response.data[i].comanyname+'</a>';
              addhtml += '<div class="clearelement"></div></li>';
            }
            else if(i==((response.data.length)-1))
            {
              addhtml += '<li storeid="'+response.data[i].id+'" storename="'+response.data[i].storename+'" strcde="'+response.data[i].storecode+'"  class="bottomul storecode">'+response.data[i].storecode;
              //addhtml += '<a target="_blank" href="profile/willline/'+response.data[i].cid+'" class="floatleft searchavtarname">'+response.data[i].comanyname+'</a>';
              addhtml += '<div class="clearelement"></div></li>';
              
            }
            else
            {
              addhtml += '<li storeid="'+response.data[i].id+'" storename="'+response.data[i].storename+'" strcde="'+response.data[i].storecode+'"  class="bottomul storecode">'+response.data[i].storecode;
              //addhtml += '<a target="_blank" href="profile/willline/'+response.data[i].cid+'" class="floatleft searchavtarname">'+response.data[i].comanyname+'</a>';
              addhtml += '<div class="clearelement"></div></li>';
            }
          }
          website('#live-search-header-wrapper ul').html(addhtml);
          //window.location.reload();
        }
        else
        {
          website('#live-search-header-wrapper ul').html('<li class="noresultfound"><span class="resp_new">'+response.message+'</span></li>');
        }
        website(".mainprogressbarforall .progress .progress-bar").width('100%');
      },
      complete: function(response) 
      {
                website('.search-row').fadeIn();
                website(".mainprogressbarforall .progress .progress-bar").fadeOut();
      },
      error: function(jqXHR, textStatus, errorThrown)
      {
        //website('#live-search-header-wrapper ul').fadeOut();      
      }
    }); 
  }
}


  website('body').on('click','.storecode',function(e){
   
       var storeid = website(this).attr('storeid');
       var storecode = website(this).attr('strcde');
       var storename = website(this).attr('storename');
        
       website('#uploadfinalcopy #search-box').val(storecode);
       website('#search-box').attr('storeid',storeid);
       website('#search-box').attr('storecode',storecode);
       website('#uploadfinalcopy #storeid').val(storeid);
       website('#live-search-header-wrapper').fadeOut();       
       
       website('#uploadfinalcopy #storecode').val(storecode);
       website('#uploadfinalcopy #storename').val(storename);
      
    });

/************** for search **********/

website("#live-search-header-wrapper").mCustomScrollbar({
        scrollButtons:{enable:true,scrollType:"stepped"},
        keyboard:{scrollType:"stepped"},
        mouseWheel:{scrollAmount:188},
        theme:"rounded-dark",
        autoExpandScrollbar:true,
        snapAmount:188,
        snapOffset:65,
        callbacks:{
            onScroll:function(){
                myCustomFn(this);
            }
        }
});

function myCustomFn(el){
   // console.log('coming here');
}


/**************** Start Fetch versions of doc file *******************/
website('body').on('click','#docversion',function(e)
{
    var leavereqid  = website(this).attr('leavereqid');
    website("#docversions_agr #uploadversionfile #leavereqid").val(leavereqid);
    //alert(rqid);return false;    
    formdata={ leavereqid:leavereqid };
    website.ajax({
        url:'llagr/updateAgrdocVersion',
        data:formdata,
        method:'POST',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        dataType:"json",
        cache:false,
        beforeSend: function()
        {   website('.preloder_wraper').fadeIn();   },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            if(response.logged==true)
            {  
                website("#uploadversionfile #versionfile").val('');
                website("#uploadversionfile #description").val('');
                fetchdocversions(leavereqid,response.wordurl);
                fetchthirdpartyfiles(leavereqid);
            }
            else
            {
                if(response.msloginerror=='401')
                {
                    website('#mymodelloginms').fadeIn();
                    website('#mymodelloginms').modal('show');
                }

                new PNotify({title: 'Alert',
                    text: response.message,
                    type: 'university',
                    hide: true,
                    styling: 'bootstrap3',
                    addclass: 'bg-primary alert-styled-left',
                });
            }
           
        },
        complete: function(response)
        {   website('.preloder_wraper').fadeOut();  },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
}); 

/**************** End of To Fetch versions of doc file *******************/

/****************** upload version file start *****************/
website('#docversions_agr #uploadversionfile').ajaxForm({ 
    dataType:"json",
    beforeSend: function() 
    {   
        website('.preloder_wraper').fadeIn();  
    },
    uploadProgress: function(event, position, total, percentComplete) 
    {   },
    success: function(response, textStatus, jqXHR) 
    {
       if(response.logged === true)
       {
            //website('#Mymodaledit').fadeOut();
            new PNotify({title: 'Alert..!!',
                text: response.message,
                type: 'university',
                hide: true,
                styling: 'bootstrap3',
                addclass: 'dark ',
            });

            setTimeout(function(){ window.location.reload(); }, 1000);  
       }
       else
       {    
            new PNotify({title: 'Alert..!!',
                text: response.message,
                type: 'university',
                hide: true,
                styling: 'bootstrap3',
                addclass: 'dark ',
            });
       }
    },
    complete: function(response) 
    {
        website('.preloder_wraper').fadeOut(); 
    },
    error: function() 
    {   }
});

/****************** upload third version file end *****************/

website('body').on('click','.delversionfile',function(e)
{
    var caid  = website(this).attr('caid');
    website('.yesconfirmTPVF').attr('caid',caid);
    website('#deleteTPVF').modal('show');
    website('#docversions_agr').modal('hide');
});

website('body').on('click','.noconfirmTPVF',function(e)
{
    website('#docversions_agr').modal('show');
});


website('body').on('click','.yesconfirmTPVF',function(e)
{
    var caid  = website(this).attr('caid');
    //console.log(caid); return false;
    website('#deleteTPVF').modal('hide');
    var formdata = {dhanushya:'version_files',baan:'id',nishana:caid};
    website.ajax({
        url:'llagr/deleteVersionFile',
        data:formdata,
        method:'POST',
        //contentType:'json',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
        dataType:"json",
        cache:false,
        //async:true, /*Cross domain checking*/
        beforeSend: function()
        {   },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            if(response.logged===true)
            {    
                //website('#myModalyesno').fadeOut();
                new PNotify({title: 'Alert',
                    text: response.message,
                    type: 'university',
                    hide: true,
                    styling: 'bootstrap3',
                    addclass: 'dark ',
                });
            }
            setTimeout(function(){ window.location.reload(); }, 1000);
        },
        complete: function(response)
        {   },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
});

/* -------------- Start fetchversion -------------- */
function fetchdocversions(leavereqid,wordurl)
{
    var formdata = { leavereqid:leavereqid };
    website("#docversions_agr #uploadthirdversionfile #leavereqid").val(leavereqid);
    website.ajax({
        url:'llagr/fetchAgrdocversions',
        data:formdata,
        method:'POST',
        //contentType:'json',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        //default: 'application/x-www-form-urlencoded; charset=UTF-8' ,'multipart/form-data' , 'text/plain'
        dataType:"json",
        cache:false,
        //async:true, /*Cross domain checking*/
        beforeSend: function()
        {   website('.preloder_wraper').fadeIn();   },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            if(response.logged===true)
            {
                //console.log(response.data); return false;
                var addhtmlnxt='';
                for(var i = 0; i < response.version.value.length; i++) 
                {             
                    var ist = new Date(response.version.value[i].lastModifiedDateTime).toLocaleString('en-GB', {timeZone: 'Asia/Kolkata'});        
                    addhtmlnxt += '<tr class="counter">';
                    addhtmlnxt += '<td><a href="" class="versionid" wordurl="'+wordurl+'" rqid="'+leavereqid+'" fid="'+response.data.sharepoint_file_id+'" cid="'+response.data.createdbyuserid+'" versionid="'+response.version.value[i].id+'">'+response.version.value[i].id+'</a></td>';                    
                    addhtmlnxt += '<td>'+ist+'</td>';
                    addhtmlnxt += '<td>'+response.version.value[i].size+' KB'+'</td>';
                    addhtmlnxt += '<td>'+response.version.value[i].lastModifiedBy.user.displayName+'</td>';                    
                    // addhtmlnxt += '<td>'+response.version.value[i].datetime+'</td>';
                }
                //console.log(response.data); return false;
                website('#docversions_agr').fadeIn();
                website('#docversions_agr').modal('show');
                website('#versionlist').html(addhtmlnxt);    
                      
            }
            else
            {
                 addhtmlnxt = '';
            }
        },
        complete: function(response)
        {   website('.preloder_wraper').fadeOut();  },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
}
/* -------------- End fetchversion -------------- */

function fetchthirdpartyfiles(leavereqid)
{
    var formdata = { leavereqid:leavereqid };
    website.ajax({
        url:'llagr/fetchThirdPartyFiles',
        data:formdata,
        method:'POST',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        dataType:"json",
        cache:false,
        //async:true, /*Cross domain checking*/
        beforeSend: function()
        {      },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            if(response.logged===true)
            {
                //console.log(response.data); return false;
                var addhtmlnxt='',cntr = 0;
                for(var i = 0; i < response.data.length; i++) 
                { 
                    ++cntr;                    
                    addhtmlnxt += '<tr class="counter">';
                    addhtmlnxt += '<td>'+cntr+'</td>'; 

                    dtfrmt = response.data[i].date_added.split(" ");
                    dtfrmt = dtfrmt[0].split("-");  
                    ddmmyy = dtfrmt[2]+'-'+dtfrmt[1]+'-'+dtfrmt[0];

                    addhtmlnxt += '<td>'+ddmmyy+'</td>';
                    addhtmlnxt += '<td>'+response.data[i].fullname+'</td>';
                    addhtmlnxt += '<td>'+response.data[i].description+'</td>';
                    addhtmlnxt += '<td><a href="'+response.data[i].filepath+'" target="_blank"><i class="fa fa-download faicon"></i>&nbsp;</a><i class="fa fa-trash-o faicon delversionfile" style="font-size:20px;" title="Delete attachment" caid="'+response.data[i].id+'" type="agreement"></i></td>';
                    // addhtmlnxt += '<td>'+response.version.value[i].datetime+'</td>';
                    addhtmlnxt += '</tr>';
                }
            }
            else
            {
                 addhtmlnxt = 'No data found...!!';
            }
            website('#docversions_agr').modal('show')
            website('#thirdpartylist').html(addhtmlnxt);   
        },
        complete: function(response)
        {     },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
}


/* ----------------- Start Quicklogin MS ----------------- */
website('#quickloginms').ajaxForm({
    //data:formdata,
    //contentType:'application/x-www-form-urlencoded; charset=UTF-8',
    dataType:"json",
    beforeSend: function() 
    {  
        website('.preloder_wraper').fadeIn();
    },
    uploadProgress: function(event, position, total, percentComplete) 
    {   },
    success: function(response, textStatus, jqXHR) 
    {
        //console.log("checking response");console.log(response);return false;
        if(response.logged === true)
        {
            new PNotify({title: 'Alert',
                text: response.message,
                type: 'university',
                hide: true,
                styling: 'bootstrap3',
                addclass: 'bg-primary alert-styled-left',
            });

            website('#mymodelloginms').fadeOut();
            website('#mymodelloginms').modal('hide');
        }
        else
        {    
            new PNotify({title: 'Alert',
                text: response.message,
                type: 'university',
                hide: true,
                styling: 'bootstrap3',
                addclass: 'bg-primary alert-styled-left',
            });
        }
    },
    complete: function(response) 
    {   website('.preloder_wraper').fadeOut();  },
    error: function() 
    { 
        new PNotify({title: 'Alert',
            text: 'Something went wrong ! Please Contact volody',
            type: 'university',
            hide: true,
            styling: 'bootstrap3',
            addclass: 'bg-primary alert-styled-left',
        });
    }
});
/* ----------------- End Quicklogin MS ----------------- */

/* -------------- Start content of version -------------- */
website('body').on('click','.versionid',function(e)
{
    e.preventDefault();
    var rqid = website(this).attr('rqid');
    var versionid = website(this).attr('versionid');
    var fid = website(this).attr('fid');
    var cid = website(this).attr('cid');
    //alert(rqid); return false;
    
    formdata={rqid:rqid,versionid:versionid,fileid:fid,createby:cid}
    website.ajax({
        url:'llagr/getAgrVersioncontent',
        data:formdata,
        method:'POST',
        contentType:'application/x-www-form-urlencoded; charset=UTF-8',
        dataType:"json",
        cache:false,
        beforeSend: function()
        {   website('.preloder_wraper').fadeIn();   },
        uploadProgress: function(event, position, total, percentComplete)
        {   },
        success: function(response, textStatus, jqXHR)
        {
            //console.log(response.requestcode); return false;
            if(response.logged==true)
            {
                if(response.requestcode=='400')
                {
                    var wurl = website('.versionid').attr('wordurl');
                    window.open(wurl, '_blank');
                }

                if(response.requestcode=='200')
                {
                    window.location=response.filepath;
                }
            }
            else
            {
                if(response.msloginerror=='401')
                {
                    website('#mymodelloginms').fadeIn();
                    website('#mymodelloginms').modal('show');
                }
                
                 new PNotify({title: 'Alert!!!!!',
                    text: response.message,
                    type: 'university',
                    hide: true,
                    styling: 'bootstrap3',
                    addclass: 'dark ',
                });
            }      
        },
        complete: function(response)
        {   website('.preloder_wraper').fadeOut();  },
        error: function(jqXHR, textStatus, errorThrown)
        {   }
    });
});
/* -------------- End content of version -------------- */